
<div class="container">  
  
    <mat-card>  
      <mat-toolbar color="accent">  
        <div align="center" style="color:white;text-align: right;">  
          Booking Details
        </div>    
      </mat-toolbar>  
    <br><br>  
      <mat-card-content>  
        <form [formGroup]="bookingForm"(ngSubmit)="onFormSubmit(bookingForm.value)">  
                <table>  
                  <tr>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input formControlName="Charges" matTooltip="Enter Charges" matInput placeholder="Charges">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!bookingForm.get('Charges').value && bookingForm.get('Charges').touched"></span>  
                      </mat-error>  
                    </td>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input formControlName="Location" matTooltip="Enter Location" matInput placeholder="Location">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!bookingForm.get('Location').value && bookingForm.get('Location').touched"></span>  
                      </mat-error>  
                    </td>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input formControlName="State" matTooltip="Enter State" matInput placeholder="State">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!bookingForm.get('State').value && bookingForm.get('State').touched"></span>  
                      </mat-error>  
                    </td>  
                  </tr>  
                  <tr>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input formControlName="City" matTooltip="Enter City" matInput placeholder="City">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!bookingForm.get('City').value && bookingForm.get('City').touched"></span>  
                      </mat-error>  
                    </td>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input matTooltip="Enter Total Amount "formControlName="TotalAmount" matInput placeholder="Total Amount ">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!bookingForm.get('TotalAmount').value && bookingForm.get('TotalAmount').touched"></span>  
                      </mat-error>  
                    </td>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input matTooltip="Enter StartOTP"formControlName="StartOTP" matInput placeholder="StartOTP">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!bookingForm.get('StartOTP').value && bookingForm.get('StartOTP').touched"></span>  
                      </mat-error>  
                    </td>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input formControlName="EndOTP" matTooltip="Enter Pine Code" matInput placeholder="EndOTP">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!bookingForm.get('EndOTP').value && bookingForm.get('EndOTP').touched"></span>  
                      </mat-error>  
                    </td>  
                    
                  </tr>  
                  <tr>  
                    <td></td>  
                    <td  class="content-center">  
                      <button type="submit" mat-raised-button color="accent"matTooltip="Click Submit Button"[disabled]="!bookingForm.valid">Submit</button>      
                      <button type="reset" mat-raised-button color="accent"matTooltip="Click Reset Button" (click)="resetForm()">Reset</button>  
                    </td>  
                    <td>  
                      <p *ngIf="dataSaved" style="color:rgb(0, 128, 0);font-size:20px;font-weight:bold" Class="success" align="left">  
                        {{massage}}  
                      </p>  
                    </td>  
                  </tr>  
                </table>  
    <br><br>  
          <table class="table" >  
              <tr ngclass="btn-primary">  
                <th class="tbl2">Charges</th>  
                <th class="tbl2">Total Amount Payment</th>  
                <th class="tbl2">Start OTP</th>  
                <th class="tbl2">End OTP</th>  
                <th class="tbl2">State</th>  
                <th class="tbl2">City </th>  
                <th class="tbl2">Location </th>  
                <th class="tbl2">PaymentStatus </th>  
                <th class="tbl2">Edit</th>  
                <th class="tbl2">Delete</th>  
              </tr>  
              <tr *ngFor="let users of AllUBooking | async">  
                <td class="tbl2">{{users.Charges}}</td>  
                <td class="tbl2">{{users.TotalAmountPayment}}</td>  
                <td class="tbl2">{{users.StartOTP}}</td>  
                <td class="tbl2">{{users.EndOTP}}</td> 
                <td class="tbl2">{{users.State}}</td>  
                <td class="tbl2">{{users.City}}</td>  
                <td class="tbl2">{{users.Location}}</td>  
                <td class="tbl2">{{users.PaymentStatus}}</td>  
                <td class="tbl2">  
                  <button type="button" class="btn btn-info"matTooltip="Click Edit Button"(click)="loadUserToEdit(users.Id)">Edit</button>  
                </td>  
                <td class="tbl2">  
                  <button type="button" class="btn btn-danger"matTooltip="Click Delete Button"(click)="deleteUser(users.Id)">Delete</button>  
                </td>  
              </tr>  
      
            </table>  
        </form>  
      </mat-card-content>  
    </mat-card>  
    </div> 